| DocBook: The Definitive Guide 2.0.17 (Alpha)

# constant

$Revision$

$Date$

constant — A programming or system constant

## Synopsis

### Mixed Content Model

    constant ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

Name | Type | Default

class

Enumeration:
limit

None

## Description

A `Constant` identifies a value as immutable. It is most often used to identify system limitations or other defined constants.

### Processing expectations

Formatted inline.

### Parents

These elements contain constant: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in constant: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

class

  `Class` identifies constants that are system or application limits (for example, the maximum length of a filename).

## See Also

`command`, `computeroutput`, `literal`, `markup`, `option`, `optional`, `parameter`, `prompt`, `replaceable`, `sgmltag`, `userinput`, `varname`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    In ACL, <constant>main::PCS</constant> contains the path component
    separator character.
    </para>

In ACL, `main::PCS` contains the path component separator character.

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The maximum legal length for a path name is
    <constant class='limit'>PATH_MAX</constant>, defined in
    <filename class='headerfile'>limits.h</filename>.
    </para>

The maximum legal length for a path name is `PATH_MAX`, defined in `limits.h`.

conftitle |  | constraint

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.